## python-aptsources 0.0.1

=== po/Makefile ===

DOMAIN=update-manager
PO_FILES := $(wildcard *.po)
CONTACT=sebastian.heinlein@web.de

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
python-aptsources (0.0.1) feisty; urgency=low

  * Initial Release.

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Sun,  3 Sep 2006 18:07:15 +0200

=== debian/control ===
Source: python-aptsources
Section: python
Priority: optional
XS-Python-Version: all
Maintainer: Sebastian Heinlein <glatzor@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5.0.37.2), python-central (>= 0.5), python-distutils-extra, python-all-dev
Standards-Version: 3.7.2

Package: python-aptsources
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lsb-release, python-apt
Description: abstraction of the sources.list for use in python applications
 This package provides python modules that help to administrate the
 sources.list by providing an abstraction of it.

=== debian/rules ===
#!/usr/bin/make -f
  
DEB_AUTO_CLEANUP_RCS            := yes

DEB_PYTHON_SYSTEM=pycentral

# Add here any variable or target overrides you need

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

## python-aptsources 0.0.2

=== po/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
-
 DOMAIN=update-manager
 PO_FILES := $(wildcard *.po)
 CONTACT=sebastian.heinlein@web.de
 
-all: update-po
+top_srcdir = ..
+
+all: clean update-po
 
 # update the pot
 $(DOMAIN).pot:
@@ -21,3 +22,5 @@
 # dummy target 
 update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))
 
+clean:
+	rm -rf mo/ python-aptsources.pot

=== debian/changelog ===
python-aptsources (0.0.2) hardy-proposed; urgency=low

  * Fix FTBFS (lp: #208097):
    - setup.py:
      + Fix DistUtilsExtra import.
      + Fix cmdclass arguments.
    - setup.cfg:
      + s/l10n/i18n/g
    - po/Makefile:
      + Set top_srcdir variable, needed for intltool-update.
  * po/Makefile,
    debian/rules:
    - Clean generated files after build.
  * setup.py:
    - Fix typo in description.
    - Bump version to 0.0.2

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sat, 17 May 2008 13:04:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
+
+clean::
+	rm -rf build/
+	make -C po clean
